InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::StreamFilter Struct Reference

Stream Filter. More...

`#include <SocketSettings.h>`

## Public Member Functions
| StreamFilter ()
| StreamFilter (const SamplingType forward_samples, const bool forward_config, const bool forward_command, const bool forward_state, const bool forward_progress)
| StreamFilter (std::wstring const &argString)
std::wstring const | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
bool | forwardConfig
| Configurations are forwarded.
bool | forwardCommand
| Commands are forwarded.
bool | forwardState
| State updates are forwarded.
bool | forwardProgress
| Progress messages are forwarded.
SamplingType | forwardSamples
| The types of sample data that is forwarded.

## Detailed Description

Stream Filter.

A filter to limit the (types of) data that is send over a network stream.

## Constructor & Destructor Documentation

## ◆ StreamFilter() [1/3]

inertia::StreamFilter::StreamFilter | ( |  | ) |

Default constructor.

## ◆ StreamFilter() [2/3]

inertia::StreamFilter::StreamFilter | ( | const SamplingType | forward_samples,
|  | const bool | forward_config,
|  | const bool | forward_command,
|  | const bool | forward_state,
|  | const bool | forward_progress )

Constructor with individual arguments.

Parameters

  forward_samples | initial setting for forwardSamples
  forward_config | initial setting for forwardConfig
  forward_command | initial setting for forwardCommand
  forward_state | initial setting for forwardState
  forward_progress | initial setting for forwardProgress

## ◆ StreamFilter() [3/3]

inertia::StreamFilter::StreamFilter | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates a StreamFilter from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::StreamFilter::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for StreamFilter. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

std::wstring const inertia::StreamFilter::ToString | ( |  | ) | const

Get a string representation of this StreamFilter. The string is compatible with GetOptionDescription() and SocketSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- SocketSettings.h